{% extends 'base_front.html.twig' %}

{% block section %}
    <div class="container-transaction-user">
        <title>Historique des transactions</title>
        <h1 class="history-title">Historique des transactions</h1>

        <div class="div-history-container">
            {% if  transactions != null %}
                {% for transaction in transactions %}
                    <div class="div-history">
                        <p>Le {{ transaction.dateTime ? transaction.dateTime|date('d-m-Y') : '' }} à  {{ transaction.dateTime ? transaction.dateTime|date('H:i:s') : '' }}</p>
                        <p>{{ transaction.reason}}</p>
                        {% if transaction.reason == "Paiement pari" or transaction.reason == "Paiement pari sponsorisé"%}
                            <p style="color: red;">{{ transaction.amount }} €</p>
                        {% else %}
                            <p style="color: green;">+ {{ transaction.amount }} €</p>
                        {% endif %}
                    </div>

                    <hr />
                {% endfor %}
            {% else %}
                <p style="text-align: center; font-size: 25px;">Vous n'avez pas encore effectué de transaction !</p>
            {% endif %}
        </div>
    </div>
{% endblock %}
